Bug 4539 - [UPDATE REQUEST] kernel 3.14.22
: [UPDATE REQUEST] kernel 3.14.22
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-16 13:51 MSD by Eugene Shatokhin
Modified: 2014-10-28 15:14 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (429.32 KB, image/png)
2014-10-21 13:57 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-10-16 13:51:11 MSD
Kernel was updated to version 3.14.22.
Comment 1 Eugene Shatokhin 2014-10-16 13:58:55 MSD
Advisory:
The kernel was updated to version 3.14.22. This version includes many fixes all around as well as the following changes:
* power saving mode for the audio subsystem is not enabled by default now but can be turned on manually in runtime if needed (bug #4519);
* cpupower was fixed to select a correct default governor when intel_pstate driver is used to control CPU's frequency;
* a few fixes for intel_pstate from the kernel 3.17 were applied.

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2305845

x86_64:
https://abf.rosalinux.ru/build_lists/2305846
Comment 2 Eugene Shatokhin 2014-10-16 14:09:15 MSD
Примечания по тестированию cpupower.

1. Если проверка идёт в вирт. машине и там cpupower уже установлен, рекомендуется удалить его и установить заново сначала. При установке этого пакета в вирт. машину "с нуля", он не должен включать (enable) cpupower.service. Раньше - включал всегда, теперь - только на тех системах, где поддерживается управление частотой процессора.

2. На реальном железе стоит проверить, что cpupower.service включен и работает. Также, стоит посмотреть вывод 'cpupower frequency-info' - там будет показан текущий драйвер для управления частотой CPU ("driver") и текущая схема управления частотой ("governor").

Для драйвера acpi_cpufreq должен использоваться governor "ondemand", для "intel_pstate" - governor "powersave". Если там что-то другое - надо дорабатывать cpupower.

Полезно сравнить, какую частоту процессора будет показывать 'cpupower frequency-info', когда в системе мало что делается и когда какое-то ресурсоёмкое приложение запущено. Как правило, в покое частота должна уменьшаться, под нагрузкой - увеличиваться, хотя это и не всегда так.
Comment 3 Vladimir Potapov 2014-10-21 13:36:13 MSD
-netbook ядро по-прежнему почти нерабочее.
Например, дельфин на моем SSD и 3.3Ггц стартует десяток секунд (и не каждый запуск удачен), скайп не поднимается вообще.
Comment 4 Eugene Shatokhin 2014-10-21 13:46:56 MSD
(In reply to comment #3)
> -netbook ядро по-прежнему почти нерабочее.
> Например, дельфин на моем SSD и 3.3Ггц стартует десяток секунд (и не каждый
> запуск удачен), скайп не поднимается вообще.

Нужна hw-probe, выводы 'journalctl -ab' и 'dmesg', а также - лог strace (желательно - с включенными timestamp'ами) для каждого проблемного приложения.
Comment 5 Eugene Shatokhin 2014-10-21 13:48:34 MSD
Дальше - если что-то не запустилось, нужны подробности: как запускали, что вывело при этом, какой код возврата. 

Если зависло - cat /proc/<PID>/stack для соотв. процесса.
Comment 6 Vladimir Potapov 2014-10-21 13:57:37 MSD
Created attachment 3363 [details]
ss

Кажется, нашел виновника.
См скриншот т.к. буфер обмена не работает.
Comment 7 Vladimir Potapov 2014-10-21 13:58:27 MSD
насчет запуска - как выяснилось, оно  запускается. Но иногда спустя несколько минут...
Comment 8 Vladimir Potapov 2014-10-21 14:03:58 MSD
http://hw.rosalinux.ru/index.php?probe=c7b53a0eea
Comment 9 Eugene Shatokhin 2014-10-21 14:14:13 MSD
(In reply to comment #6)
> Кажется, нашел виновника.
> См скриншот т.к. буфер обмена не работает.

Хм. Интересно. 

Всё же, если в наиболее часто используемых ядрах (*nrj-desktop*, *nrj-laptop*) серьёзных проблем нет, думаю, проблемы с *netbook* стоит вынести в отдельный баг. 

Это чтобы не заставлять пользователей ждать исправлений по основным ядрам слишком долго.

А вывод strace для так тормозящих приложений всё же нужен: надо точно определить, на чём именно они висят так долго. Там могут быть большие неожиданности, по моему опыту.
Comment 10 Vladimir Potapov 2014-10-21 14:17:27 MSD
Ого. Тут звук запуска скайпа появился. Через пару десятков минут после попытки старта :-) И он запустился!
Comment 11 Eugene Shatokhin 2014-10-24 12:47:24 MSD
Advisory:
The kernel was updated to version 3.14.22. This version includes many fixes all around as well as the following changes:
* power saving mode for the audio subsystem is not enabled by default now but can be turned on manually in runtime if needed (bug #4519);
* cpupower was fixed to select a correct default governor when intel_pstate driver is used to control CPU's frequency;
* a few fixes for intel_pstate from the kernel 3.17 were applied.
Note that starting from this release, only the following kernel flavours are maintained in "Main" repository: "nrj-desktop", "nrj-desktop-pae", "nrj-laptop", "nrj-laptop-pae". The rarely used flavours - "desktop" and "server" (without NRJ patches), "nrj-netbook" and "nrj-realtime" - will be maintained in "Contrib".

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2320223

x86_64:
https://abf.rosalinux.ru/build_lists/2320224
Comment 12 Eugene Shatokhin 2014-10-24 13:32:26 MSD
Для проблемы с netbook-ядром завёл отдельный баг: http://bugs.rosalinux.ru/show_bug.cgi?id=4578
Comment 13 Andrey Ponomarenko 2014-10-27 16:54:16 MSK
testrack + kernel 3.14.22-nrj-desktop: graphics OK, video OK, webcam OK, sound OK, ethernet OK , wifi OK (http://hw.rosalinux.ru/index.php?probe=fd80d120ff)
Comment 14 Andrey Ponomarenko 2014-10-27 17:22:35 MSK
testrack + kernel 3.14.22-nrj-laptop: graphics OK, video OK, webcam OK, sound OK, ethernet OK , wifi OK (http://hw.rosalinux.ru/index.php?probe=804b144ffa)
Comment 15 Vladimir Potapov 2014-10-28 14:39:32 MSK
kernel-3.14.22-3
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2320223/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2320224/x86_64/main/release/
******************************** Advisory **************************
The kernel was updated to version 3.14.22. This version includes many fixes all around as well as the following changes:
* power saving mode for the audio subsystem is not enabled by default now but can be turned on manually in runtime if needed (bug #4519);
* cpupower was fixed to select a correct default governor when intel_pstate driver is used to control CPU's frequency;
* a few fixes for intel_pstate from the kernel 3.17 were applied.
Note that starting from this release, only the following kernel flavours are maintained in "Main" repository: "nrj-desktop", "nrj-desktop-pae", "nrj-laptop", "nrj-laptop-pae". The rarely used flavours - "desktop" and "server" (without NRJ patches), "nrj-netbook" and "nrj-realtime" - will be maintained in "Contrib".
*********************************************************************
QA Verified